<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.sy.coinage.workshop.dao.DeliveryDao">
  <resultMap id="BaseResultMap" type="com.sy.coinage.workshop.model.Delivery">
    <id column="id" jdbcType="INTEGER" property="id"/>
    <result column="order_no" jdbcType="VARCHAR" property="orderNo"/>
    <result column="plan_par" jdbcType="INTEGER" property="planPar"/>
    <result column="plan_box_num" jdbcType="INTEGER" property="planBoxNum"/>
    <result column="plan_total_box" jdbcType="INTEGER" property="planTotalBox"/>
    <result column="address_id" jdbcType="INTEGER" property="addressId"/>
    <result column="address_cn" jdbcType="VARCHAR" property="addressCn"/>
      <result column="create_time" jdbcType="TIMESTAMP" property="createTime"/>
      <result column="create_id" jdbcType="INTEGER" property="createId"/>
      <result column="create_by" jdbcType="VARCHAR" property="createBy"/>
      <result column="operator_id" jdbcType="INTEGER" property="operatorId"/>
      <result column="operator" jdbcType="VARCHAR" property="operator"/>
      <result column="check_id" jdbcType="INTEGER" property="checkId"/>
      <result column="checker" jdbcType="VARCHAR" property="checker"/>
      <result column="updated" jdbcType="TIMESTAMP" property="updated"/>
      <result column="status" jdbcType="INTEGER" property="status"/>
      <result column="delivery_time" jdbcType="TIMESTAMP" property="deliveryTime"/>
      <result column="securities_id" jdbcType="INTEGER" property="securitiesId"/>
      <result column="securities" jdbcType="VARCHAR" property="securities"/>
  </resultMap>
    <sql id="Base_Column_List">
        id
        , order_no, plan_par, plan_box_num, plan_total_box, address_id, address_cn, create_time, create_id, create_by, operator_id, operator, check_id, checker, updated, status, delivery_time, securities_id, securities
    </sql>

    <!--  <select id="queryPageList" resultType="com.sy.coinage.workshop.vo.DeliveryVO">-->
    <!--    SELECT-->
    <!--    rfid_delivery.*-->
    <!--    FROM-->
    <!--    rfid_delivery-->
    <!--    LEFT JOIN-->
    <!--    rfid_delivery-->
    <!--    ON-->
    <!--    rfid_delivery.id = rfid_delivery.id-->
    <!--    <if test="ew.emptyOfWhere == false">-->
    <!--      ${ew.customSqlSegment}-->
    <!--    </if>-->
    <!--  </select>-->

</mapper>

